Bug 1159614 - dnf debuginfo-install kernel-PAE picks wrong debuginfo package
dnf debuginfo-install kernel-PAE picks wrong debuginfo package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-02 05:25 EST by Lubomir Rintel
Modified: 2015-10-23 13:20 EDT (History)
9 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.13-1.fc23 dnf-plugins-core-0.1.13-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-17 11:51:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2014-11-02 05:25:17 EST
yum-utils (correct):

[root@goatlord mactest]# debuginfo-install kernel-PAE
Loaded plugins: auto-update-debuginfo, langpacks
enabling fedora-debuginfo
enabling rpmfusion-nonfree-rawhide-debuginfo
enabling rpmfusion-free-rawhide-debuginfo
enabling updates-testing-debuginfo
enabling updates-debuginfo
Package yum-plugin-auto-update-debug-info-1.1.31-24.fc21.noarch already installed and latest version
--> Running transaction check
---> Package kernel-PAE-debuginfo.i686 0:3.17.2-300.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================
 Package                       Arch          Version                   Repository                          Size
================================================================================================================
Installing:
 kernel-PAE-debuginfo          i686          3.17.2-300.fc21           updates-testing-debuginfo          288 M

Transaction Summary
================================================================================================================
Install  1 Package

Total download size: 288 M
Installed size: 1.2 G
Is this ok [y/d/N]:

DNF (wrong):

[root@goatlord mactest]# dnf debuginfo-install kernel-PAE
Package kernel-debuginfo-3.17.2-300.fc21.i686 is already installed, skipping.
Dependencies resolved.
Nothing to do.
[root@goatlord mactest]# 

Version-Release number of selected component (if applicable):

dnf-plugins-core-0.1.3-1.fc21.noarch

How reproducible:

Always (whether kernel-PAE is installed or not).
Comment 1 Honza Silhan 2015-07-20 07:37:19 EDT
It should make first decision whether <name>-debuginfo exists then search by <pkgsource>-<debuginfo>.
Comment 2 Jiri Kastner 2015-09-04 03:54:11 EDT
i sweep thrash under same carpet :)

'dnf debuginfo-install kernel-rt' doesn't same like debuginfo-install kernel-rt

#######################



[root@localhost ~]# dnf debuginfo-install kernel-rt
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
enabling rpmfusion-nonfree-updates-debuginfo repository
enabling updates-debuginfo repository
enabling rpmfusion-nonfree-debuginfo repository
kernel                                                                                                                                                                                               131 MB/s | 411 kB     00:00
RPM Fusion for Fedora 22 - Nonfree - Debug                                                                                                                                                           195 kB/s | 109 kB     00:00
jdulaney-rt                                                                                                                                                                                          372 kB/s | 691 kB     00:01
RPM Fusion for Fedora 22 - Nonfree - Updates Debug                                                                                                                                                   172 kB/s |  50 kB     00:00
RPM Fusion for Fedora 22 - Free - Updates Debug                                                                                                                                                      186 kB/s |  72 kB     00:00
Fedora 22 - x86_64 - Updates - Debug                                                                                                                                                                 1.1 MB/s | 4.5 MB     00:03
Fedora 22 - x86_64 - Debug                                                                                                                                                                           1.3 MB/s |  11 MB     00:08
RPM Fusion for Fedora 22 - Free - Debug                                                                                                                                                              533 kB/s | 354 kB     00:00
Copr repo for Fedora-Realtime owned by jkastner                                                                                                                                                      6.1 kB/s | 5.3 kB     00:00
Last metadata expiration check performed 0:00:00 ago on Fri Sep  4 09:46:51 2015.
Dependencies resolved.
=====================================================================================================================================================================================================================================
 Package                                                             Arch                                        Version                                                Repository                                              Size
=====================================================================================================================================================================================================================================
Installing:
 kernel-debuginfo                                                    x86_64                                      4.1.6-200.fc22                                         updates-debuginfo                                      346 M
 kernel-debuginfo-common-x86_64                                      x86_64                                      4.1.6-200.fc22                                         updates-debuginfo                                       51 M

Transaction Summary
=====================================================================================================================================================================================================================================
Install  2 Packages

Total download size: 397 M
Installed size: 1.8 G
Is this ok [y/N]: n
Operation aborted.
[root@localhost ~]# debuginfo-install kernel-rt

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


enabling rpmfusion-nonfree-updates-debuginfo
enabling fedora-debuginfo
enabling rpmfusion-free-updates-debuginfo
enabling rpmfusion-free-debuginfo
enabling updates-debuginfo
enabling rpmfusion-nonfree-debuginfo
jkastner-Fedora-Realtime                                                                                                                                                                                      | 3.5 kB  00:00:00
jdulaney-rt                                                                                                                                                                                                   | 3.0 kB  00:00:00
kernel                                                                                                                                                                                                        | 3.0 kB  00:00:00
orion-jupyter                                                                                                                                                                                                 | 3.5 kB  00:00:00
planetccrma                                                                                                                                                                                                   | 1.9 kB  00:00:00
planetcore                                                                                                                                                                                                    | 1.9 kB  00:00:00
pmatilai-dpdk                                                                                                                                                                                                 | 3.5 kB  00:00:00
red-libgcrypt.so.11                                                                                                                                                                                           | 3.0 kB  00:00:00
rhpkg                                                                                                                                                                                                         | 3.8 kB  00:00:00
rpmfusion-free                                                                                                                                                                                                | 3.0 kB  00:00:00
rpmfusion-free-debuginfo                                                                                                                                                                                      | 3.0 kB  00:00:00
rpmfusion-free-updates                                                                                                                                                                                        | 3.0 kB  00:00:00
rpmfusion-free-updates-debuginfo                                                                                                                                                                              | 3.0 kB  00:00:00
rpmfusion-nonfree                                                                                                                                                                                             | 3.0 kB  00:00:00
rpmfusion-nonfree-debuginfo                                                                                                                                                                                   | 3.0 kB  00:00:00
rpmfusion-nonfree-updates                                                                                                                                                                                     | 3.0 kB  00:00:00
rpmfusion-nonfree-updates-debuginfo                                                                                                                                                                           | 3.0 kB  00:00:00
spp                                                                                                                                                                                                           | 2.5 kB  00:00:00
stk                                                                                                                                                                                                           | 2.5 kB  00:00:00
streeter-python-hwloc                                                                                                                                                                                         | 3.5 kB  00:00:00
tor                                                                                                                                                                                                           | 2.9 kB  00:00:00
tor-source                                                                                                                                                                                                    | 2.9 kB  00:00:00
updates/22/x86_64/metalink                                                                                                                                                                                    |  22 kB  00:00:00
updates                                                                                                                                                                                                       | 4.7 kB  00:00:00
updates-debuginfo/22/x86_64/metalink                                                                                                                                                                          |  19 kB  00:00:00
updates-debuginfo                                                                                                                                                                                             | 3.0 kB  00:00:00
(1/22): kernel/primary_db                                                                                                                                                                                     | 153 kB  00:00:00
(2/22): red-libgcrypt.so.11/22/x86_64/primary_db                                                                                                                                                              | 3.6 kB  00:00:00
(3/22): orion-jupyter/22/x86_64/primary_db                                                                                                                                                                    | 7.5 kB  00:00:00
(4/22): jdulaney-rt/22/x86_64/primary_db                                                                                                                                                                      | 113 kB  00:00:01
(5/22): pmatilai-dpdk/22/x86_64/primary_db                                                                                                                                                                    |  33 kB  00:00:01
(6/22): rpmfusion-free-updates-debuginfo/22/x86_64/primary_db                                                                                                                                                 | 9.1 kB  00:00:00
(7/22): rpmfusion-free-debuginfo/22/x86_64/primary_db                                                                                                                                                         |  48 kB  00:00:00
(8/22): rpmfusion-nonfree/22/x86_64/primary_db                                                                                                                                                                | 101 kB  00:00:00
(9/22): rpmfusion-nonfree-updates-debuginfo/22/x86_64/primary_db                                                                                                                                              | 4.5 kB  00:00:00
(10/22): rpmfusion-free-updates/22/x86_64/primary_db                                                                                                                                                          |  41 kB  00:00:00
(11/22): rpmfusion-nonfree-updates/22/x86_64/primary_db                                                                                                                                                       |  21 kB  00:00:00
(12/22): rpmfusion-nonfree-debuginfo/22/x86_64/primary_db                                                                                                                                                     |  16 kB  00:00:00
(13/22): rpmfusion-free/22/x86_64/primary_db                                                                                                                                                                  | 337 kB  00:00:01
(14/22): streeter-python-hwloc/22/x86_64/primary_db                                                                                                                                                           | 8.2 kB  00:00:00
(15/22): stk/x86_64/primary_db                                                                                                                                                                                | 4.9 kB  00:00:00
updates/22/x86_64/updateinfo   FAILED
http://mirror.vutbr.cz/fedora/updates/22/x86_64/repodata/6c2ea27b97dab6f7979e273229875d1091cebeb567e873e4df9167e99996031c-updateinfo.xml.xz: [Errno 14] HTTP Error 404 - Not Found                 ] 358 kB/s | 895 kB  00:00:16 ETA
Trying other mirror.
(16/22): updates/22/x86_64/group_gz                                                                                                                                                                           | 230 kB  00:00:00
updates/22/x86_64/primary_db   FAILED
http://mirror.vutbr.cz/fedora/updates/22/x86_64/repodata/952fcec2c05ab5772acd3d2e6fd07f8c04973fd794b8021e5295bbf98fe124f2-primary.sqlite.xz: [Errno 14] HTTP Error 404 - Not Found                 ] 358 kB/s | 895 kB  00:00:16 ETA
Trying other mirror.
(17/22): updates/22/x86_64/updateinfo                                                                                                                                                                         | 571 kB  00:00:00
(18/22): updates-debuginfo/22/x86_64/primary_db                                                                                                                                                               | 411 kB  00:00:00
(19/22): tor-source/primary_db                                                                                                                                                                                | 2.6 kB  00:00:01
(20/22): tor/x86_64/primary_db                                                                                                                                                                                | 4.3 kB  00:00:01
(21/22): updates/22/x86_64/primary_db                                                                                                                                                                         | 4.3 MB  00:00:06
(22/22): spp/x86_64/primary_db                                                                                                                                                                                | 355 kB  00:00:07
(1/2): planetccrma/22/x86_64/primary_db                                                                                                                                                                       |  71 kB  00:00:00
(2/2): planetcore/22/x86_64/primary_db                                                                                                                                                                        | 221 kB  00:00:01
(1/2): fedora-HandBrake/22/x86_64/primary_db                                                                                                                                                                  |  13 kB  00:00:00
(2/2): bluejeans/primary_db                                                                                                                                                                                   |  73 kB  00:00:00
adobe-linux-x86_64/primary                                                                                                                                                                                    | 1.2 kB  00:00:00
adobe-linux-x86_64                                                                                                                                                                                                               2/2
beaker-client/22/primary                                                                                                                                                                                      | 3.3 kB  00:00:00
beaker-client                                                                                                                                                                                                                  13/13
beaker-harness/22/primary                                                                                                                                                                                     | 8.1 kB  00:00:00
beaker-harness                                                                                                                                                                                                                 43/43
beaker-harness-testing/22/primary                                                                                                                                                                             |  12 kB  00:00:00
beaker-harness-testing                                                                                                                                                                                                         83/83
beaker-nightlies/22/primary                                                                                                                                                                                   |  39 kB  00:00:00
beaker-nightlies                                                                                                                                                                                                             336/336
--> Running transaction check
---> Package kernel-rt-debuginfo.x86_64 0:4.1.5-200.rt5.1.fc22.ccrma will be installed
--> Processing Dependency: kernel-debuginfo-common-x86_64 = 4.1.5-200.rt5.1.fc22.ccrma for package: kernel-rt-debuginfo-4.1.5-200.rt5.1.fc22.ccrma.x86_64
---> Package yum-plugin-auto-update-debug-info.noarch 0:1.1.31-508.fc22 will be installed
--> Running transaction check
---> Package kernel-debuginfo-common-x86_64.x86_64 0:4.1.5-200.rt5.1.fc22.ccrma will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=====================================================================================================================================================================================================================================
 Package                                                              Arch                                      Version                                                          Repository                                     Size
=====================================================================================================================================================================================================================================
Installing:
 kernel-rt-debuginfo                                                  x86_64                                    4.1.5-200.rt5.1.fc22.ccrma                                       planetcore                                    344 M
 yum-plugin-auto-update-debug-info                                    noarch                                    1.1.31-508.fc22                                                  updates                                        26 k
Installing for dependencies:
 kernel-debuginfo-common-x86_64                                       x86_64                                    4.1.5-200.rt5.1.fc22.ccrma                                       planetcore                                     51 M

Transaction Summary
=====================================================================================================================================================================================================================================
Install  2 Packages (+1 Dependent package)

Total download size: 395 M
Installed size: 1.8 G
Is this ok [y/d/N]: n
Exiting on user command
Complete!
[root@localhost ~]#
Comment 3 Michael Mráka 2015-09-23 09:50:39 EDT
Proposed fix
https://github.com/rpm-software-management/dnf-plugins-core/pull/116
Comment 4 Fedora Update System 2015-10-14 12:59:52 EDT
dnf-1.1.3-1.fc23 dnf-plugins-extras-0.0.11-1.fc23 dnf-plugins-core-0.1.13-1.fc23 hawkey-0.6.2-1.fc23 libsolv-0.6.14-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a011ac001a
Comment 5 Fedora Update System 2015-10-14 13:02:12 EDT
dnf-1.1.3-1.fc22 dnf-plugins-extras-0.0.11-1.fc22 dnf-plugins-core-0.1.13-1.fc22 hawkey-0.6.2-1.fc22 libsolv-0.6.14-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-02efefba0e
Comment 6 Fedora Update System 2015-10-14 18:52:11 EDT
dnf-1.1.3-1.fc23, dnf-plugins-core-0.1.13-1.fc23, dnf-plugins-extras-0.0.11-1.fc23, hawkey-0.6.2-1.fc23, libsolv-0.6.14-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf-plugins-extras dnf libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a011ac001a
Comment 7 Fedora Update System 2015-10-15 01:51:56 EDT
dnf-1.1.3-1.fc22, dnf-plugins-core-0.1.13-1.fc22, dnf-plugins-extras-0.0.11-1.fc22, hawkey-0.6.2-1.fc22, libsolv-0.6.14-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update hawkey dnf-plugins-core dnf-plugins-extras dnf libsolv'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-02efefba0e
Comment 8 Fedora Update System 2015-10-17 11:51:11 EDT
dnf-1.1.3-1.fc23, dnf-plugins-core-0.1.13-1.fc23, dnf-plugins-extras-0.0.11-1.fc23, hawkey-0.6.2-1.fc23, libsolv-0.6.14-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-23 13:19:49 EDT
dnf-1.1.3-1.fc22, dnf-plugins-core-0.1.13-1.fc22, dnf-plugins-extras-0.0.11-1.fc22, hawkey-0.6.2-1.fc22, libsolv-0.6.14-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.